package stbz_private

import (
	"context"
	"github.com/gogf/gf/frame/g"
	"gitlab.jxhh.com/zhaoxueru/cloud-warehouse.git/app/stbz_private/dao"
	v1 "gitlab.jxhh.com/zhaoxueru/cloud-warehouse.git/app/system/demo/define/v1"
	"gitlab.jxhh.com/zhaoxueru/cloud-warehouse.git/library/code"
	"gitlab.jxhh.com/zhaoxueru/common-base.git/pkg/errors"
)

type user struct {

}

func newUser() *user {
	return &user{}
}

func (u *user)Get(ctx context.Context) (res *v1.FreightInfo, err error) {
	err = dao.Freight.Fields(
		dao.Freight.Columns.Id,
		dao.Freight.Columns.Name,
		dao.Freight.Columns.IsDefault,
	).Where(g.Map{
		dao.Freight.Columns.Id : 1,
	}).Scan(&res)
	if err != nil {
		return nil, errors.New(code.ErrDatabase, "", "")
	}

	return
}