package code

import "gitlab.jxhh.com/zhaoxueru/common-base.git/pkg/errors"

//11XXXX 云仓服务
//|11|00|云仓服务 - 通用错误|
//|11|01|云仓服务 - 商品模块错误|
//|11|02|云仓服务 - 订单模块错误|
//|11|03|云仓服务 - 售后模块错误|


// Code must start with 11XXXX.

// 基本错误码
const (
	//ErrServer : 服务器异常
	ErrServer int = iota + 110001

	//ErrValidation : 校验错误
	ErrValidation

	//ErrDatabase : 数据库错误
	ErrDatabase
)

func init()  {
	errors.MustRegister(ErrServer, "服务器异常")
	errors.MustRegister(ErrValidation, "%%0")
	errors.MustRegister(ErrDatabase, "Database error")
}
